{
  "custom": {},
  "params": {
    "boolean": false,
    "configuring": false,
    "equipmentPath": "",
    "title": "Work Order Table"
  },
  "propConfig": {
    "params.boolean": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.configuring": {
      "onChange": {
        "enabled": null,
        "script": "\tviewParams\u003dself.params\n\tconfigParams\u003dself.getChild(\"root/configuration\").props.params\n\tif currentValue.value:\n\t\tconfigParams.titleIn \u003d viewParams.title\n\t\tconfigParams.equipmentPathIn \u003d viewParams.equipmentPath\n\t\tconfigParams.booleanIn \u003d viewParams.boolean\n\telif previousValue is not None and previousValue.value:\n\t\tviewParams.title \u003d configParams.titleOut\n\t\tviewParams.equipmentPath \u003d configParams.equipmentPathOut\n\t\tviewParams.boolean \u003d configParams.booleanOut"
      },
      "paramDirection": "input",
      "persistent": true
    },
    "params.equipmentPath": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.title": {
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "width": 1228
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "mesWorkOrderTable"
            },
            "position": {
              "grow": 1
            },
            "propConfig": {
              "props.enableAdd": {
                "binding": {
                  "config": {
                    "expression": "!{view.params.boolean}"
                  },
                  "type": "expr"
                }
              },
              "props.enableEdit": {
                "binding": {
                  "config": {
                    "expression": "!{view.params.boolean}"
                  },
                  "type": "expr"
                }
              },
              "props.equipmentPathFilter": {
                "binding": {
                  "config": {
                    "path": "view.params.equipmentPath"
                  },
                  "type": "property"
                }
              },
              "props.toolbarTitle": {
                "binding": {
                  "config": {
                    "path": "view.params.title"
                  },
                  "transforms": [
                    {
                      "expression": "upper({value})",
                      "type": "expression"
                    }
                  ],
                  "type": "property"
                }
              }
            },
            "props": {
              "closedEndDate": 1,
              "data": [
                {
                  "actualQuantity": 26,
                  "closed": false,
                  "closedDate": "",
                  "dueDate": 1694629623000,
                  "material": "Product A",
                  "materialUuid": "8f82b4c3-bb1f-4f80-a646-0a07be09fffe",
                  "remainingQuantity": 9974,
                  "scheduledQuantity": 8000,
                  "workOrder": "Test123",
                  "workOrderQuantity": 10000,
                  "workOrderUuid": "22b5a1ec-dba0-4015-bcb7-bf94c922a23c"
                }
              ],
              "fillResizeMode": true,
              "selectedRow": 1,
              "style": {
                "overflow": "visible"
              },
              "tableColumns": [
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "workOrder",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "workOrder",
                  "order": 1,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Work Order",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "workOrderUuid",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": "none",
                  "hidden": false,
                  "include": false,
                  "name": "workOrderUuid",
                  "order": 2,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Work Order UUID",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "material",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "material",
                  "order": 3,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Material",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "materialUuid",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": "none",
                  "hidden": false,
                  "include": false,
                  "name": "materialUuid",
                  "order": 4,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Material UUID",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "workOrderQuantity",
                  "dataFormat": ",0",
                  "dataType": "number",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "workOrderQuantity",
                  "order": 5,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Work Order Quantity",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "scheduledQuantity",
                  "dataFormat": ",0",
                  "dataType": "number",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "scheduledQuantity",
                  "order": 6,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Scheduled Quantity",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "actualQuantity",
                  "dataFormat": ",0",
                  "dataType": "number",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "actualQuantity",
                  "order": 7,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Actual Quantity",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "remainingQuantity",
                  "dataFormat": ",0",
                  "dataType": "number",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "remainingQuantity",
                  "order": 8,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Remaining Quantity",
                  "width": 100,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "dueDate",
                  "dataFormat": "yyyy-MM-dd HH:mm:ss",
                  "dataType": "date",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "dueDate",
                  "order": 9,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Due Date",
                  "width": 90,
                  "wordWrapEnabled": false
                },
                {
                  "align": "center",
                  "alignVertical": "middle",
                  "columnName": "closed",
                  "dataFormat": "",
                  "dataType": "boolean",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "closed",
                  "order": 10,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Closed",
                  "width": 100,
                  "wordWrapEnabled": true
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "closedDate",
                  "dataFormat": "yyyy-MM-dd HH:mm:ss",
                  "dataType": "date",
                  "fixed": "none",
                  "hidden": false,
                  "include": true,
                  "name": "closedDate",
                  "order": 11,
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Closed Date",
                  "width": 90,
                  "wordWrapEnabled": false
                }
              ],
              "toolbarStyle": {
                "backgroundColor": "#004A98",
                "fontFamily": "Roboto",
                "fontSize": 15,
                "fontWeight": "normal",
                "paddingLeft": 10
              }
            },
            "type": "mes.production.mesWorkOrderTable"
          }
        ],
        "meta": {
          "name": "runtime"
        },
        "position": {
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.configuring"
              },
              "transforms": [
                {
                  "expression": "!{value}",
                  "type": "expression"
                }
              ],
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "overflow": "visible"
          }
        },
        "type": "ia.container.flex"
      },
      {
        "meta": {
          "name": "configuration"
        },
        "position": {
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.configuring"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "params": {
            "booleanIn": false,
            "booleanOut": false,
            "equipmentPathIn": "",
            "equipmentPathOut": "",
            "titleIn": "Work Order Table",
            "titleOut": "Work Order Table"
          },
          "path": "Page/Widgets/Configuration/Equipment Path, Title, boolean"
        },
        "type": "ia.display.view"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}